proc CalculateFootPosition { fR fTheta fOffset } {
#    global SLF_TIME
    global SLF_PI

    set fTheta [expr $fOffset + $fTheta]
    set fThetaBase [expr floor($fTheta / (2.0 * $SLF_PI))]
    set fTheta [expr $fTheta - ($fThetaBase * 2.0 * $SLF_PI)]
    set iCycle [expr int($fThetaBase)]

    if { $iCycle & 1 } {
      return [list [expr $fR*( int(($iCycle + 1) / 2) * 2.0 * $SLF_PI) - $fR*$fOffset/2.0] 0 0 1]
    } else {
      return [list [expr $fR*( int($iCycle / 2) * 2.0 * $SLF_PI) + $fR*$fTheta - $fR*$fOffset/2.0] [expr $fR*(1.0 - cos(-$fTheta))] 0 1]
    }

#    if { $iCycle & 1 } {
#      return [list 0 0 0 1]
#    } else {
#      return [list [expr $fR*(sin(-$fTheta))] [expr $fR*(1.0 - cos(-$fTheta))] 0 1]
#    }
}
